> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Change Payment

PATCH https://restapi.ordergroove.com/subscriptions/{subscription_id}/change_payment/
Content-Type: application/json

Changes the payment method associated with the subscription.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/subscriptions/change-payment

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /subscriptions/{subscription_id}/change_payment/:
    patch:
      operationId: change-payment
      summary: Change Payment
      description: Changes the payment method associated with the subscription.
      tags:
        - subscriptions
      parameters:
        - name: subscription_id
          in: path
          description: Unique subscription ID
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Subscriptions_changePayment_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Subscriptions-change-paymentRequestBadRequestError
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Subscriptions-change-paymentRequestForbiddenError
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Subscriptions-change-paymentRequestNotFoundError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                payment:
                  type: string
                  description: Payment record ID
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    SubscriptionsSubscriptionIdChangePaymentPatchResponsesContentApplicationJsonSchemaComponentsItems:
      type: object
      properties: {}
      title: >-
        SubscriptionsSubscriptionIdChangePaymentPatchResponsesContentApplicationJsonSchemaComponentsItems
    SubscriptionsSubscriptionIdChangePaymentPatchResponsesContentApplicationJsonSchemaExtraData:
      type: object
      properties: {}
      title: >-
        SubscriptionsSubscriptionIdChangePaymentPatchResponsesContentApplicationJsonSchemaExtraData
    Subscriptions_changePayment_Response_200:
      type: object
      properties:
        customer:
          type: string
        merchant:
          type: string
        product:
          type: string
        payment:
          type: string
        shipping_address:
          type: string
        offer:
          type: string
        subscription_type:
          type: string
        components:
          type: array
          items:
            $ref: >-
              #/components/schemas/SubscriptionsSubscriptionIdChangePaymentPatchResponsesContentApplicationJsonSchemaComponentsItems
        extra_data:
          $ref: >-
            #/components/schemas/SubscriptionsSubscriptionIdChangePaymentPatchResponsesContentApplicationJsonSchemaExtraData
        public_id:
          type: string
        product_attribute:
          description: Any type
        quantity:
          type: integer
          default: 0
        price:
          description: Any type
        frequency_days:
          type: integer
          default: 0
        reminder_days:
          type: integer
          default: 0
        every:
          type: integer
          default: 0
        every_period:
          type: integer
          default: 0
        start_date:
          type: string
        cancelled:
          description: Any type
        cancel_reason:
          description: Any type
        cancel_reason_code:
          description: Any type
        iteration:
          description: Any type
        sequence:
          description: Any type
        session_id:
          type: string
        merchant_order_id:
          type: string
        customer_rep:
          description: Any type
        club:
          description: Any type
        created:
          type: string
        updated:
          type: string
        live:
          type: boolean
          default: true
      title: Subscriptions_changePayment_Response_200
    Subscriptions-change-paymentRequestBadRequestError:
      type: object
      properties:
        '[field_name]':
          type: string
      title: Subscriptions-change-paymentRequestBadRequestError
    Subscriptions-change-paymentRequestForbiddenError:
      type: object
      properties:
        detail:
          type: string
      title: Subscriptions-change-paymentRequestForbiddenError
    Subscriptions-change-paymentRequestNotFoundError:
      type: object
      properties:
        detail:
          type: string
      title: Subscriptions-change-paymentRequestNotFoundError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/subscriptions/subscription_id/change_payment/"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/subscriptions/subscription_id/change_payment/';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/subscriptions/subscription_id/change_payment/"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/subscriptions/subscription_id/change_payment/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://restapi.ordergroove.com/subscriptions/subscription_id/change_payment/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://restapi.ordergroove.com/subscriptions/subscription_id/change_payment/', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/subscriptions/subscription_id/change_payment/");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/subscriptions/subscription_id/change_payment/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```